/******************************************************************************
 *     Copyright Texas Instruments 2004. All Rights Reserved.
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/**
 * Handles errors by printing messages with writeln()
 */
public function ObjectScriptErrorHandler()
  extends oscript.util.ErrorHandler()
{
  /**
   * Display an error message to the user.
   * 
   * @param  str     a string describing the error, how the user may
   *    correct the error, etc
   */
  public function showMessage(str)
  {
    mixin java.awt.Color;
    pkg.output.writeln( pkg.output.bgColor( red, pkg.output.fgColor( black, str ) ) );
  }
}

