/*=============================================================================
 *     Copyright Rob Clark 2000.  All Rights Reserved.
 *   
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * $ProjectHeader: OSCRIPT 0.155 Fri, 20 Dec 2002 18:34:22 -0800 rclark $
 */


function TestWindow() extends java.awt.Frame("Test Window")
{
  function ButtonListener() extends java.awt.event.ActionListener()
  {
    public function actionPerformed( evt )
    {
      writeln("evt: " + evt);
      dispose();
    }
  }
  
  var b = new java.awt.Button("Close");
  b.addActionListener( new ButtonListener() );
  
  /* or the same thing, using a function as an action-listener:
   * 
   *   var b = new java.awt.Button("Close");
   *   b.addActionListener( function(evt) {
   *     writeln("evt: " + evt);
   *     dispose();
   *   } );
   */
  
  add(b);
  pack();
}


var w = new TestWindow();
w.setVisible(true);

